services:
  http-server:
    image: ghcr.io/patrickdappollonio/docker-http-server:v2
    restart: unless-stopped
    ports:
      - "5000:5000"
    volumes:
      - ./:/html:ro # Use the current directory as the source
    environment:
      - PORT=5000 # Configures the port (the default is 5000)
      - TITLE=LNURL # Changes the site name
      - CORS=true # Enable CORS for testing purposes
      # Other configuration options:
      # - BANNER=Welcome to the HTTP Server Test Site! # Changes the banner
